import qualified DPM.Core.TestDarcs
import qualified DPM.Core.Model
import qualified DPM.Core.Utils
import qualified DPM.Core.Storage
import qualified DPM.Core.ShortID
import qualified DPM.Core.QueryParser
import qualified DPM.Core.ReverseDependencies

import System.Environment
import Test.Framework

import qualified Data.ByteString as B
import qualified DPM.Core.Darcs as Darcs
import DPM.Core.DataTypes ( PatchData(..), PatchID(..) )

allTestSuites :: [TestSuite]
allTestSuites = [DPM.Core.TestDarcs.allHTFTests
                ,DPM.Core.Model.allHTFTests
                ,DPM.Core.Utils.allHTFTests
                ,DPM.Core.ShortID.allHTFTests
                ,DPM.Core.ReverseDependencies.allHTFTests
                ]

testSuite :: TestSuite
testSuite = makeAnonTestSuite (map testSuiteAsTest allTestSuites)

main =
    do args <- getArgs
       runTestWithArgs args testSuite
